Bug 827114 - Failed to create a bond
Failed to create a bond
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Moti Asayag
Martin Pavlik
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 12:11 EDT by Moti Asayag
Modified: 2016-02-10 14:55 EST (History)
10 users (show)

See Also:
Fixed In Version: si9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Moti Asayag 2012-05-31 12:11:16 EDT
Description of problem:
Failed to create a bond in 3.0 cluster with NullPointerException on engine side.

Version-Release number of selected component (if applicable):


How reproducible:
always.

Steps to Reproduce:
1. Create a bond for a host in cluster 3.0
2.
3.
  
Actual results:
Empty dialouge, error on log.

Expected results:
Bond should be created.

Additional info:

Error is caused when mtu was added to the parameters class of the EditNetwork command. It assumes the network entity is always passed, however, it isn't the case when creating a bond on 3.0 cluster (no mtu support).

2012-05-31 18:01:18,330 ERROR [org.ovirt.engine.core.vdsbroker.vdsbroker.VdsBrokerCommand] (pool-10-thread-14) [61563c31] Failed in EditNetworkVDS method, for vds: zeus02; host: zeus02.eng.lab.tlv.redhat.com
Comment 1 Moti Asayag 2012-06-04 03:02:59 EDT
Patch was introduced to gerrit:
http://gerrit.ovirt.org/#change,4960
Comment 2 Moti Asayag 2012-06-04 12:09:00 EDT
Another patch which solves same error on a different code path:
http://gerrit.ovirt.org/#/c/5038/
Comment 3 Moti Asayag 2012-07-08 02:04:24 EDT
The commit ids for the patches above:

b7041512bb46bb27f1f0f90b5e3adb8d6dd60488
b605b9a08a3605ce91dd383c3e05eb3e813da2e2

Note You need to log in before you can comment on or make changes to this bug.